Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message
Class OutgoingDatagramMessage<O extends UpnpOperation>

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>
          org.teleal.cling.model.message.OutgoingDatagramMessage<O>

Direct Known Subclasses:
  OutgoingNotificationRequest, OutgoingSearchRequest, OutgoingSearchResponse

    public abstract class OutgoingDatagramMessage<O extends UpnpOperation>

extends UpnpMessage<O>

A UDP datagram request or response message for sending, with destination address and port.

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`protected` | `OutgoingDatagramMessage(O operation, InetAddress destinationAddress, int destinationPort)`
`protected` | `OutgoingDatagramMessage(O operation, UpnpMessage.BodyType bodyType, Object body, InetAddress destinationAddress, int destinationPort)`

Method Summary
`InetAddress` | `getDestinationAddress()`
`int` | `getDestinationPort()`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutgoingDatagramMessage

    protected OutgoingDatagramMessage(O operation,
                                      InetAddress destinationAddress,
                                      int destinationPort)

### OutgoingDatagramMessage

    protected OutgoingDatagramMessage(O operation,
                                      UpnpMessage.BodyType bodyType,
                                      Object body,
                                      InetAddress destinationAddress,
                                      int destinationPort)

Method Detail

### getDestinationAddress

    public InetAddress getDestinationAddress()

### getDestinationPort

    public int getDestinationPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.